LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XStatusListener Interface Referencepublished

makes it possible to receive events when the state of a feature changes. More...

`import"XStatusListener.idl";`

Inheritance diagram for XStatusListener:

## Public Member Functions
void | statusChanged ([in] FeatureStateEvent State)
| is called when the status of the feature changes. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive events when the state of a feature changes.

Nobody guarantee any notification. Use combination of XNotifyingDispatch and XDispatchResultListener for that.

See also
  XDispatch
  XNotifyingDispatch
  XDispatchResultListener

## Member Function Documentation

## ◆ statusChanged()

void statusChanged | ( | [in] FeatureStateEvent | State | ) |

is called when the status of the feature changes.

Parameters

  State | provides information about changes of the requested feature

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XStatusListener.idl